View Issue Details

IDProjectCategoryView StatusLast Update
0023512mantisbthtmlpublic2017-10-28 19:08
ReporterrchengAssigned Toatrol 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.7.1Fixed in Version2.7.1 
Summary0023512: Custom field type checkbox with required status, force to check all checkboxes to proceed
Description

There is an issue related to 0022310. If a Issue Details have a custom field of checkbox type with several options, It displays and error in every checkbox have to be checked in order to submit issue.

For example, If the Issue details have 3 checkbox in one Custom field with Value A|B|C, if I check A, it says and error that "B" checkbox is required, then if I check "B" checkbox, it display and error that "C" checkbox is required.

As checkbox is optional, It should allow to proceed the submit with at least one checkbox checked.

This happened with Google Chrome version 61 (64 bits) on Windows 10

Steps To Reproduce

1) Create a custom field, type checkbox
2) Create 2 possible value
3) Check required on update, resolve and close
4) Check display on issue report, update, resolve, etc..
4) Associate the custom field on a proyect
5) Report an issue
6) Try to check one checkbox of this custom field
7) It display an error that one have to check the second one to proceed the issue submit

TagsNo tags attached.

Relationships

related to 0022310 closedcommunity Use HTML5 "required" attribute for required form fields 

Activities

Related Changesets

MantisBT: master-2.7 2263c7cf

2017-10-21 04:33:18

atrol

Details Diff
Remove required attribute from check box custom fields

Fixes 0023512
mod - core/cfdefs/cfdef_standard.php Diff File

Issue History

Date Modified Username Field Change
2017-10-20 16:12 rcheng New Issue
2017-10-21 04:35 atrol Assigned To => atrol
2017-10-21 04:35 atrol Status new => assigned
2017-10-21 04:36 atrol Note Added: 0058007
2017-10-21 04:37 atrol Relationship added related to 0022310
2017-10-22 18:38 atrol Changeset attached => MantisBT master-2.7 2263c7cf
2017-10-22 18:38 atrol Status assigned => resolved
2017-10-22 18:38 atrol Resolution open => fixed
2017-10-22 18:41 atrol Fixed in Version => 2.7.1
2017-10-22 18:41 atrol Target Version => 2.7.1
2017-10-28 19:08 vboctor Status resolved => closed